Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Anthony G. Basile" <blueness@g.o>
Subject: dev/blueness:master commit in: net-misc/tinc/, net-misc/tinc/files/
Date: Mon, 26 Sep 2011 01:29:29 +0000 (UTC)
commit:     c594680e7830b36198e00f473a1832c97ef97dbf
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 26 01:29:24 2011 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Mon Sep 26 01:29:24 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/blueness.git;a=commit;h=c594680e

Changed to toggle syslog on conf.d variable, bug #371357#c11

(Portage version: 2.1.10.11/git/Linux x86_64, signed Manifest commit with key 0xD0455535)

---
 net-misc/tinc/ChangeLog             |    4 ++
 net-misc/tinc/Manifest              |   20 ++++++++---
 net-misc/tinc/files/tincd           |   51 +++++++++++++++------------
 net-misc/tinc/files/tincd.conf      |    4 ++
 net-misc/tinc/files/tincdnosyslog   |   64 -----------------------------------
 net-misc/tinc/files/tincdsyslog     |   64 -----------------------------------
 net-misc/tinc/tinc-1.0.16-r1.ebuild |   14 ++-----
 7 files changed, 54 insertions(+), 167 deletions(-)

diff --git a/net-misc/tinc/ChangeLog b/net-misc/tinc/ChangeLog
index 0fb34f3..1bfda10 100644
--- a/net-misc/tinc/ChangeLog
+++ b/net-misc/tinc/ChangeLog
@@ -1,5 +1,9 @@
 
 
+  26 Sep 2011; Anthony G. Basile <blueness@g.o> tinc-1.0.16-r1.ebuild,
+  -files/tincdnosyslog, -files/tincdsyslog, files/tincd, files/tincd.conf:
+  Changed to toggle syslog on conf.d variable, bug #371357#c11
+
 *tinc-1.0.16-r1 (26 Sep 2011)
 
   26 Sep 2011; Anthony G. Basile <blueness@g.o> +tinc-1.0.16-r1.ebuild,

diff --git a/net-misc/tinc/Manifest b/net-misc/tinc/Manifest
index fd38923..e74b70c 100644
--- a/net-misc/tinc/Manifest
+++ b/net-misc/tinc/Manifest
@@ -1,10 +1,18 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
 AUX tinc.networks 387 RMD160 cc842d8ab6fb137d87276553fbf7465baeccf871 SHA1 8339d5882e494a0fd2390e1abfd0f24163949ce4 SHA256 7165721abd3706c95973118fbb503e18f9a008da6bdbf21a4ce35ecf7818d5ad
-AUX tincd 1606 RMD160 973a1e44273daa50d1b40a14b277fcde47cf36c9 SHA1 65ffdd2b1b4576df54289feec630a5f25cb50826 SHA256 e9bc35b868ba2325f7c921e377ec55be96f3a4c61f1dde621f733cedb76920bf
-AUX tincd.conf 19 RMD160 907e8fbeeeeda7fd5c0916ebea6bf90d14539723 SHA1 e41eb0392c8265a9f55bf8c4069f7b25085ced14 SHA256 cdbdbf4c8ca3dc805c645a404df7cc7d10908ef4e5b59f1c1d056ca6301f34cb
+AUX tincd 1768 RMD160 63fe4752d38c5a6b4dd2e6d3183985fd159076e8 SHA1 4229d77ec8791ed5d4cd92b0a0088b5da4b61648 SHA256 0f841330fef6f27480bc71ddc950f372f447f986414f169e780b2f0c5ff889ed
+AUX tincd.conf 140 RMD160 a8cb9f6c3076ec62c5d8b630e884ad84e77cfbec SHA1 2983aa5d70b693a00319b45d576d26519338ee53 SHA256 948aebf1d1f2b46cd4a8ac21f9983244504a291ad5b05d49583c37f8b529a43e
 AUX tincd.lo 1174 RMD160 f3173005b3020712b6e6eae1f5d34825d5d08726 SHA1 7daea8e502a2cf0abc80c510315ee53172f39a64 SHA256 ce3e150bc3822f19754705826365238401386de1f012f8665727111e11a8b175
-AUX tincdnosyslog 1606 RMD160 973a1e44273daa50d1b40a14b277fcde47cf36c9 SHA1 65ffdd2b1b4576df54289feec630a5f25cb50826 SHA256 e9bc35b868ba2325f7c921e377ec55be96f3a4c61f1dde621f733cedb76920bf
-AUX tincdsyslog 1569 RMD160 f03114adcd85bc5db3b5721533d0d800b69a249a SHA1 a3a1448a8878a066e677b7d96fa1bf041c578b17 SHA256 64b992b4defa5e99b19616eae5a0af1308aa424e68e65ca3b8b39708eaa4532c
 DIST tinc-1.0.16.tar.gz 519460 RMD160 a4d44bd90d4c19f4cc8bc27c1f92a8fb437698d3 SHA1 6700e63c548228b1675f243f0075f98511f1e3a8 SHA256 f20863cb1155ba4e4dd4cf16c35a5d706cd326eb8fe62b8b0a31fd57241a5400
-EBUILD tinc-1.0.16-r1.ebuild 1227 RMD160 6945ba9bee76bf4eb8fad6dbbae3d8c0a106325e SHA1 09cce2dde77b221ba4f68ba8b579ff3ec3e35755 SHA256 ed3f65fc2d1651791bde00aa50e3453a32245ca7d6ea7d28bc8db5aca8cedd34
-MISC ChangeLog 268 RMD160 25a25b6f8dbf77c92e98de275e5b087c5937a97a SHA1 4782b436b83e14cd65a6af23d0a785935e486e11 SHA256 9506c2cbfe3323d992948d359da2c344b29a50c43637d3862f79112b287683ec
+EBUILD tinc-1.0.16-r1.ebuild 1000 RMD160 0752f0f125e53b32c165d662d707f459428cd49a SHA1 29b5fa860889f94d3c6ae933b7a2752e4e5440e4 SHA256 3c333ae27d401bf726afdfb6e83ae27f2840d3b6fd722c838fe8362758bd9a6b
+MISC ChangeLog 485 RMD160 884419631b449658ab20a654a557a35fa3e2fcc3 SHA1 74b33808d3a685e582e8144ab32a70c3a06959b7 SHA256 0c484bf5f1eb8ab88457a4550f6a632dab38709d2e84ce814c72b523d850b199
 MISC metadata.xml 323 RMD160 4afa38944097d8968b63842a67ed19531f0d9ec4 SHA1 40e3e0444e37634e1c939a5dd5677cef74827778 SHA256 8a800ba6f409642a7327882575dab780d140d7692155b5644850421abb7bb4d5
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iEYEAREIAAYFAk5/1XQACgkQl5yvQNBFVTWLOwCeMF47KzQACZAHyktRkOdR6kbg
+6bYAn2BsygtCzGeFFRqunRnJ4pDtXpON
+=pb4G
+-----END PGP SIGNATURE-----

diff --git a/net-misc/tinc/files/tincd b/net-misc/tinc/files/tincd
index 00c1c37..dfddf26 100644
--- a/net-misc/tinc/files/tincd
+++ b/net-misc/tinc/files/tincd
@@ -3,7 +3,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd,v 1.5 2008/04/01 14:08:45 dragonheart Exp $
 
-opts="reload"
+extra_commands="reload"
+
+TINC_NETS="/etc/conf.d/tinc.networks"
 
 depend() {
 	use logger dns
@@ -11,9 +13,8 @@ depend() {
 }
 
 checkconfig() {
-	if ! grep -q '^ *NETWORK:' /etc/conf.d/tinc.networks 
-	then
-		eerror "No VPN networks configured in /etc/conf.d/tinc.networks"
+	if ! grep -q '^ *NETWORK:' "${TINC_NETS}" ; then
+		eerror "No VPN networks configured in ${TINC_NETS}"
 		return 1
 	fi
 }
@@ -21,15 +22,21 @@ checkconfig() {
 start() {
 	checkconfig || return 1
 	ebegin "Starting tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
+	awk '/^ *NETWORK:/ { print $2 }' "${TINC_NETS}" | while read TINCNET
 	do
-		if [ ! -f /etc/tinc/"$TINCNET"/tinc.conf ] 
-		then
-			eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
+		CONFIG="/etc/tinc/${TINCNET}/tinc.conf"
+		PIDFILE="/var/run/tinc.${TINCNET}.pid"
+		if [ ! -f "${CONFIG}" ]; then
+			eerror "Cannot start network ${TINCNET}."
+			eerror "Please set up ${CONFIG} !"
 		else
-			ebegin "Starting tinc network $TINCNET"
-			/usr/sbin/tincd --net="$TINCNET" --logfile=/var/log/tinc.$TINCNET.log --pidfile=/var/run/tinc.$TINCNET.pid
+			ebegin "Starting tinc network ${TINCNET}"
+			if [ "${TINC_SYSLOG}" == "yes" ]; then
+				LOG=" --logfile=/var/log/tinc.${TINCNET}.log"
+			else
+				LOG=""
+			fi
+			start-stop-daemon --start --exec /usr/sbin/tincd -- --net="${TINCNET}" "${LOG}" --pidfile "${PIDFILE}"
 			eend $?
 		fi
 	done
@@ -37,13 +44,12 @@ start() {
 
 stop() {
 	ebegin "Stopping tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
+	awk '/^ *NETWORK:/ { print $2 }' "${TINC_NETS}" | while read TINCNET
 	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Stopping tinc network $TINCNET"
-			/usr/sbin/tincd --kill --pidfile=/var/run/tinc."$TINCNET".pid
+		PIDFILE="/var/run/tinc.${TINCNET}.pid"
+		if [ -f "${PIDFILE}" ]; then
+			ebegin "Stopping tinc network ${TINCNET}"
+			start-stop-daemon --stop --pidfile "${PIDFILE}"
 			eend $?
 		fi
 	done
@@ -51,13 +57,12 @@ stop() {
 
 reload() {
 	ebegin "Reloading configuration for tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
+	awk '/^ *NETWORK:/ { print $2 }' "${TINC_NETS}" | while read TINCNET
 	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Reloading tinc network $TINCNET"
-			/usr/sbin/tincd --kill HUP  --pidfile=/var/run/tinc."$TINCNET".pid
+		PIDFILE="/var/run/tinc.${TINCNET}.pid"
+		if [ -f "${PIDFILE}" ]; then
+			ebegin "Reloading tinc network ${TINCNET}"
+			start-stop-daemon --signal HUP --pidfile ${PIDFILE}
 			eend $?
 		fi
 	done

diff --git a/net-misc/tinc/files/tincd.conf b/net-misc/tinc/files/tincd.conf
index c19b836..65d6907 100644
--- a/net-misc/tinc/files/tincd.conf
+++ b/net-misc/tinc/files/tincd.conf
@@ -1 +1,5 @@
 #rc_need="net.net"
+
+#If you want TINC to log to syslog, then set this to "yes"
+#Anything else and tincd will log to FIXME
+TINC_SYSLOG="yes"

diff --git a/net-misc/tinc/files/tincdnosyslog b/net-misc/tinc/files/tincdnosyslog
deleted file mode 100644
index 00c1c37..0000000
--- a/net-misc/tinc/files/tincdnosyslog
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd,v 1.5 2008/04/01 14:08:45 dragonheart Exp $
-
-opts="reload"
-
-depend() {
-	use logger dns
-	need net
-}
-
-checkconfig() {
-	if ! grep -q '^ *NETWORK:' /etc/conf.d/tinc.networks 
-	then
-		eerror "No VPN networks configured in /etc/conf.d/tinc.networks"
-		return 1
-	fi
-}
-
-start() {
-	checkconfig || return 1
-	ebegin "Starting tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ ! -f /etc/tinc/"$TINCNET"/tinc.conf ] 
-		then
-			eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
-		else
-			ebegin "Starting tinc network $TINCNET"
-			/usr/sbin/tincd --net="$TINCNET" --logfile=/var/log/tinc.$TINCNET.log --pidfile=/var/run/tinc.$TINCNET.pid
-			eend $?
-		fi
-	done
-}
-
-stop() {
-	ebegin "Stopping tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Stopping tinc network $TINCNET"
-			/usr/sbin/tincd --kill --pidfile=/var/run/tinc."$TINCNET".pid
-			eend $?
-		fi
-	done
-}
-
-reload() {
-	ebegin "Reloading configuration for tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Reloading tinc network $TINCNET"
-			/usr/sbin/tincd --kill HUP  --pidfile=/var/run/tinc."$TINCNET".pid
-			eend $?
-		fi
-	done
-}

diff --git a/net-misc/tinc/files/tincdsyslog b/net-misc/tinc/files/tincdsyslog
deleted file mode 100644
index e87b81c..0000000
--- a/net-misc/tinc/files/tincdsyslog
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/tinc/files/tincd,v 1.5 2008/04/01 14:08:45 dragonheart Exp $
-
-opts="reload"
-
-depend() {
-	use logger dns
-	need net
-}
-
-checkconfig() {
-	if ! grep -q '^ *NETWORK:' /etc/conf.d/tinc.networks 
-	then
-		eerror "No VPN networks configured in /etc/conf.d/tinc.networks"
-		return 1
-	fi
-}
-
-start() {
-	checkconfig || return 1
-	ebegin "Starting tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ ! -f /etc/tinc/"$TINCNET"/tinc.conf ] 
-		then
-			eerror "Cannot start network $TINCNET, /etc/tinc/$TINCNET/tinc.conf does not exist !"
-		else
-			ebegin "Starting tinc network $TINCNET"
-			/usr/sbin/tincd --net="$TINCNET" --pidfile=/var/run/tinc.$TINCNET.pid
-			eend $?
-		fi
-	done
-}
-
-stop() {
-	ebegin "Stopping tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Stopping tinc network $TINCNET"
-			/usr/sbin/tincd --kill --pidfile=/var/run/tinc."$TINCNET".pid
-			eend $?
-		fi
-	done
-}
-
-reload() {
-	ebegin "Reloading configuration for tinc VPN networks"
-	eend 0
-	awk '/^ *NETWORK:/ { print $2 }' /etc/conf.d/tinc.networks | while read TINCNET
-	do
-		if [ -f /var/run/tinc."$TINCNET".pid ]
-		then
-			ebegin "Reloading tinc network $TINCNET"
-			/usr/sbin/tincd --kill HUP  --pidfile=/var/run/tinc."$TINCNET".pid
-			eend $?
-		fi
-	done
-}

diff --git a/net-misc/tinc/tinc-1.0.16-r1.ebuild b/net-misc/tinc/tinc-1.0.16-r1.ebuild
index 7eb3b3f..39df86c 100644
--- a/net-misc/tinc/tinc-1.0.16-r1.ebuild
+++ b/net-misc/tinc/tinc-1.0.16-r1.ebuild
@@ -11,27 +11,21 @@ SRC_URI="http://www.tinc-vpn.org/packages/${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86 ~x86-linux ~ppc-macos ~x86-macos"
-IUSE="+lzo +zlib +syslog"
+IUSE="+lzo +zlib"
 
 DEPEND=">=dev-libs/openssl-0.9.7c
 	lzo? ( dev-libs/lzo:2 )
-	zlib? ( >=sys-libs/zlib-1.1.4-r2 )
-	syslog? ( app-admin/syslog-ng )"
+	zlib? ( >=sys-libs/zlib-1.1.4-r2 )"
 
 src_configure() {
-	econf  --enable-jumbograms $(use_enable lzo) $(use_enable zlib)  || die
+	econf  --enable-jumbograms $(use_enable lzo) $(use_enable zlib)
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die
+	emake DESTDIR="${D}" install
 	dodir /etc/tinc
 	dodoc AUTHORS NEWS README THANKS
 	doinitd "${FILESDIR}"/tincd{,.lo}
-	if use syslog; then
-		newinitd "${FILESDIR}"/tincdsyslog tincd || die "newinitd failed!"
-	else
-		newinitd "${FILESDIR}"/tincdnosyslog tincd || die "newinitd failed!"
-	fi
 	doconfd "${FILESDIR}"/tinc.networks
 	newconfd "${FILESDIR}"/tincd.conf tincd
 }


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in media-libs/libmatroska: ChangeLog libmatroska-1.3.0.ebuild
Next by thread:
dev/blueness:master commit in: net-misc/tinc/, net-misc/tinc/files/
Previous by date:
proj/layman:master commit in: layman/overlays/
Next by date:
dev/blueness:master commit in: net-misc/tinc/, net-misc/tinc/files/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.